## org.apache.tools.ant.taskdefs.optional.ssh
Class SSHBase

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.ssh.SSHBase

All Implemented Interfaces:
  LogListener

Direct Known Subclasses:
  Scp, SSHExec

public abstract class SSHBase
extends Task
implements LogListener

Base class for Ant tasks using jsch.

Since:
  Ant 1.6

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SSHBase()` Constructor for SSHBase.

Method Summary
`boolean` `getFailonerror()`
`java.lang.String` `getHost()`
`int` `getPort()`
`protected SSHUserInfo` `getUserInfo()`
`boolean` `getVerbose()`
`void` `init()` Called by the project to let the task initialize properly.
`protected com.jcraft.jsch.Session` `openSession()`
`void` `setFailonerror(boolean failure)`
`void` `setHost(java.lang.String host)` Remote host, either DNS name or IP.
`void` `setKeyfile(java.lang.String keyfile)` Sets the keyfile for the user.
`void` `setKnownhosts(java.lang.String knownHosts)` Sets the path to the file that has the identities of all known hosts.
`void` `setPassphrase(java.lang.String passphrase)` Sets the passphrase for the users key.
`void` `setPassword(java.lang.String password)` Sets the password for the user.
`void` `setPort(int port)` Changes the port used to connect to the remote host.
`void` `setTrust(boolean yesOrNo)` Setting this to true trusts hosts whose identity is unknown.
`void` `setUsername(java.lang.String username)` Username known to remote host.
`void` `setVerbose(boolean failure)`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tools.ant.taskdefs.optional.ssh.LogListener
`log`

Constructor Detail

### SSHBase

    public SSHBase()

  Constructor for SSHBase.

Method Detail

### setHost

    public void setHost(java.lang.String host)

  Remote host, either DNS name or IP.

  Parameters:
    `host` - The new host value

### getHost

    public java.lang.String getHost()

### setFailonerror

    public void setFailonerror(boolean failure)

### getFailonerror

    public boolean getFailonerror()

### setVerbose

    public void setVerbose(boolean failure)

  Since:
    Ant 1.6.2

### getVerbose

    public boolean getVerbose()

  Since:
    Ant 1.6.2

### setUsername

    public void setUsername(java.lang.String username)

  Username known to remote host.

  Parameters:
    `username` - The new username value

### setPassword

    public void setPassword(java.lang.String password)

  Sets the password for the user.

  Parameters:
    `password` - The new password value

### setKeyfile

    public void setKeyfile(java.lang.String keyfile)

  Sets the keyfile for the user.

  Parameters:
    `keyfile` - The new keyfile value

### setPassphrase

    public void setPassphrase(java.lang.String passphrase)

  Sets the passphrase for the users key.

  Parameters:
    `passphrase` - The new passphrase value

### setKnownhosts

    public void setKnownhosts(java.lang.String knownHosts)

  Sets the path to the file that has the identities of all known hosts. This is used by SSH protocol to validate the identity of the host. The default is ${user.home}/.ssh/known_hosts.

  Parameters:
    `knownHosts` - a path to the known hosts file.

### setTrust

    public void setTrust(boolean yesOrNo)

  Setting this to true trusts hosts whose identity is unknown.

  Parameters:
    `yesOrNo` - if true trust the identity of unknown hosts.

### setPort

    public void setPort(int port)

  Changes the port used to connect to the remote host.

  Parameters:
    `port` - port number of remote host.

### getPort

    public int getPort()

### init

    public void init()
              throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task initialize properly. The default implementation is a no-op.

  Overrides:
    `init` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### openSession

    protected com.jcraft.jsch.Session openSession()
                                           throws com.jcraft.jsch.JSchException

    `com.jcraft.jsch.JSchException`

### getUserInfo

    protected SSHUserInfo getUserInfo()

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.